using System;
using System.Collections.Generic;
using System.Text;
using IndianHealthService.BMXNet.Model;

namespace IndianHealthService.BMXNet.WinForm
{
    internal class DesktopUser: DesktopObject, User, IDisposable
    {

        public static DesktopUser FindCurrent(DesktopSession aSession)
        {
            DesktopUser answer = new DesktopUser();

            /*
                answer.Ien = aSession.CssPatient.Handle.ToString();
                answer.PatientName = aSession.CssPatient.Name;
                answer.Sex = aSession.CssPatient.Sex;
                answer.Dob = aSession.CssPatient.DOB;
                answer.AdminDate = aSession.CssPatient.AdmitDate;
                answer.Age = aSession.CssPatient.Age;
                answer.Ssn = aSession.CssPatient.SSN;
             */

                return answer;
            
        }

          #region IDisposable Members

          public void Dispose()
          {
              throw new NotImplementedException();
          }

          #endregion


          private String _name;

          public String Name
          {
              get { return _name; }
              set { _name = value; }
          }
    }
}
